Bug 1753633 - Review Request: python-launchpadlib - Script Launchpad through its web services interfaces
Summary: Review Request: python-launchpadlib - Script Launchpad through its web servic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1737937 1754964
TreeView+ depends on / blocked
 
Reported: 2019-09-19 13:48 UTC by Miro Hrončok
Modified: 2019-10-26 17:24 UTC (History)
2 users (show)

Fixed In Version: python-launchpadlib-1.10.7-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 12:47:37 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2019-09-19 13:48:59 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-launchpadlib.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-launchpadlib-1.10.7-1.fc30.src.rpm

Description:
Launchpadlib is an open-source Python library that lets you treat the HTTP
resources published by Launchpad's web service as Python objects responding
to a standard set of commands. With launchpadlib you can integrate your
applications into Launchpad without knowing a lot about HTTP client
programming.

Fedora Account System Username: churchyard

Comment 1 Robert-André Mauchin 🐧 2019-09-23 14:02:44 UTC
 - %doc src/launchpadlib/README.txt README.txt

These files will overwrite each other, rename one in %prep to keep both.

- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/doc/python3-launchpadlib/README.txt
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files


Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/doc/python3-launchpadlib/README.txt
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU Lesser General
     Public License (v3)", "GNU Lesser General Public License (v3)", "GNU
     Lesser General Public License (v3 or later)". 15 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-launchpadlib/review-python-
     launchpadlib/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-launchpadlib-1.10.7-1.fc32.noarch.rpm
          python-launchpadlib-1.10.7-1.fc32.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Miro Hrončok 2019-09-24 10:42:22 UTC
Changed:

  %doc src/launchpadlib/README.txt README.txt

To:

  %doc README.txt

Thanks.

Comment 3 Gwyn Ciesla 2019-09-24 12:32:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-launchpadlib

Comment 4 Fedora Update System 2019-10-09 16:17:14 UTC
FEDORA-2019-7fb253a20a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7fb253a20a

Comment 5 Fedora Update System 2019-10-09 23:05:47 UTC
breezy-3.0.1-1.fc31, python-launchpadlib-1.10.7-1.fc31, python-lazr-restfulclient-0.14.2-1.fc31, python-lazr-uri-1.0.3-1.fc31, python-sphinx-epytext-0.0.4-1.fc31, python-wadllib-1.3.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7fb253a20a

Comment 6 Fedora Update System 2019-10-26 17:24:11 UTC
breezy-3.0.1-1.fc31, python-launchpadlib-1.10.7-1.fc31, python-lazr-restfulclient-0.14.2-1.fc31, python-lazr-uri-1.0.3-1.fc31, python-sphinx-epytext-0.0.4-1.fc31, python-wadllib-1.3.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.